GIA Receipt Reports
Retrieve Goods In Advice (GIA) receipt records for a specified time range to support stock reconciliation processes.
Direction Host → WMS
HTTP Method GET
Path /gia-receipt/{dateStart}/{dateEnd}/{startIndex}/{endIndex}
Path Parameters
Section titled “Path Parameters”dateStart(string) - Start date for the report rangedateEnd(string) - End date for the report rangestartIndex(integer) - Starting index for paginationendIndex(integer) - Ending index for pagination
Responses
Section titled “Responses”200: Returns a collection of GiaReceipt objects
[ { "giaNumber": "GIA-2024-001234", "giaReceiptIssuedTime": "2024-01-25T10:30:00", "productLines": [ { "productId": "PROD-ABC123", "externalProductReference": "EXT-REF-001", "stockOwner": "OWNER_A", "quantity": 100, "status": "GOOD" } ] }]